<?php
/**
* Social Options.
*
* @package Trucking Company
*/

$trucking_company_default = trucking_company_get_default_theme_options();

// Social Section.
$wp_customize->add_section( 'trucking_company_social_icon_setting',
	array(
	'title'      => esc_html__( 'Social Settings', 'trucking-company' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
	'panel'      => 'trucking_company_theme_option_panel',
	)
);

$wp_customize->add_setting( 'trucking_company_header_layout_social_facebook_link',
    array(
    'default'           => $trucking_company_default['trucking_company_header_layout_social_facebook_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'trucking_company_header_layout_social_facebook_link',
    array(
    'label'    => esc_html__( 'Facebook Link', 'trucking-company' ),
    'section'  => 'trucking_company_social_icon_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'trucking_company_header_layout_social_twitter_link',
    array(
    'default'           => $trucking_company_default['trucking_company_header_layout_social_twitter_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'trucking_company_header_layout_social_twitter_link',
    array(
    'label'    => esc_html__( 'Twitter Link', 'trucking-company' ),
    'section'  => 'trucking_company_social_icon_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'trucking_company_header_layout_social_instagram_link',
    array(
    'default'           => $trucking_company_default['trucking_company_header_layout_social_instagram_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'trucking_company_header_layout_social_instagram_link',
    array(
    'label'    => esc_html__( 'Instagram Link', 'trucking-company' ),
    'section'  => 'trucking_company_social_icon_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'trucking_company_header_layout_social_linkdin_link',
    array(
    'default'           => $trucking_company_default['trucking_company_header_layout_social_linkdin_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'trucking_company_header_layout_social_linkdin_link',
    array(
    'label'    => esc_html__( 'Linkedin Link', 'trucking-company' ),
    'section'  => 'trucking_company_social_icon_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'trucking_company_header_layout_social_watsapp_link',
    array(
    'default'           => $trucking_company_default['trucking_company_header_layout_social_watsapp_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'trucking_company_header_layout_social_watsapp_link',
    array(
    'label'    => esc_html__( 'Watsapp Link', 'trucking-company' ),
    'section'  => 'trucking_company_social_icon_setting',
    'type'     => 'url',
    )
);